Package ghidra.app.emulator

# Class AdaptedEmulator.AdaptedPcodeUseropLibrary

java.lang.Object
ghidra.pcode.exec.AnnotatedPcodeUseropLibrary<byte[]>
ghidra.app.emulator.AdaptedEmulator.AdaptedPcodeUseropLibrary

All Implemented Interfaces:
  `PcodeUseropLibrary<byte[]>`

Enclosing class:
  `AdaptedEmulator`

public class AdaptedEmulator.AdaptedPcodeUseropLibrary extends AnnotatedPcodeUseropLibrary<byte[]>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.pcode.exec.AnnotatedPcodeUseropLibrary

  `AnnotatedPcodeUseropLibrary.AnnotatedPcodeUseropDefinition<T>, AnnotatedPcodeUseropLibrary.FixedArgsAnnotatedPcodeUseropDefinition<T>, AnnotatedPcodeUseropLibrary.OpExecutor, AnnotatedPcodeUseropLibrary.OpLibrary, AnnotatedPcodeUseropLibrary.OpOutput, AnnotatedPcodeUseropLibrary.OpState, AnnotatedPcodeUseropLibrary.PcodeUserop, AnnotatedPcodeUseropLibrary.VariadicAnnotatedPcodeUseropDefinition<T>`

  ## Nested classes/interfaces inherited from interface ghidra.pcode.exec.PcodeUseropLibrary

  `PcodeUseropLibrary.EmptyPcodeUseropLibrary, PcodeUseropLibrary.PcodeUseropDefinition<T>`

- ## Field Summary

  ### Fields inherited from class ghidra.pcode.exec.AnnotatedPcodeUseropLibrary

  `ops`

  ### Fields inherited from interface ghidra.pcode.exec.PcodeUseropLibrary

  `NIL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdaptedPcodeUseropLibrary()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `__addr_cb()`

  ### Methods inherited from class ghidra.pcode.exec.AnnotatedPcodeUseropLibrary

  `getMethodLookup, getOperandType, getUserops`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.pcode.exec.PcodeUseropLibrary

  `compose, getSymbols`

- ## Constructor Details

  - ### AdaptedPcodeUseropLibrary

    public AdaptedPcodeUseropLibrary()

- ## Method Details

  - ### __addr_cb

    public void __addr_cb()